## visad.bom
Class SwellGetterJ3D

    java.lang.Object
      visad.ActionImpl
          visad.CellImpl
              visad.bom.SwellGetterJ3D

All Implemented Interfaces:
  Action, Cell, EventListener, Runnable, ThingChangedListener

class SwellGetterJ3D
extends CellImpl

Field Summary
`(package private) int` `count`
`(package private) FlowControl` `flow_control`
`(package private) DataReferenceImpl` `ref`
`(package private) float` `scale`

Fields inherited from class visad.CellImpl
``

Constructor Summary
`SwellGetterJ3D(FlowControl f, DataReferenceImpl r)`

Method Summary
`void` `doAction()` subclasses of CellImpl implement doAction to execute triggered computation

Methods inherited from class visad.CellImpl
`getOtherReference, setOtherReference`

Methods inherited from class visad.ActionImpl
`addReference, checkTicks, disableAction, enableAction, findReference, getCurrentActionThread, getLinks, getName, removeAllReferences, removeReference, run, setEnabled, setName, setThreadPoolMaximum, stop, stopThreadPool, thingChanged, waitForTasks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface visad.Action
`addReference, getName, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Field Detail

### ref

    DataReferenceImpl ref

### scale

    float scale

### count

    int count

### flow_control

    FlowControl flow_control

Constructor Detail

### SwellGetterJ3D

    public SwellGetterJ3D(FlowControl f,
                          DataReferenceImpl r)

Method Detail

### doAction

    public void doAction()
                  throws VisADException,
                         RemoteException

  Description copied from class: `CellImpl`
  subclasses of CellImpl implement doAction to execute triggered computation

  Specified by:
    `doAction` in class `CellImpl`
  Throws:
    `RemoteException` - - an RMI error occurred
    `VisADException` - - a VisAD error occurred